Welcome to the New BigPanda API Documentation
🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
📘 profileId The profileId can be found on the Change Risk Configuration page within the web app.
curl --location 'https://api.biggy.io/change-risk-assessments/?profileId=6219dbf6066877283dc0c222' \
--header 'Authorization: Bearer <token>'{
"status": 200,
"data": {
"changeNumber": "CHG0004053111",
"firstAssessed": "2025-07-04T23:13:00.000Z",
"lastAssessed": "2025-07-13T05:29:00.000Z",
"changeDetails": {
"description": "Installing Microsoft Security Critical Patches for May 2025 on production servers to address vulnerabilities and ensure compliance. Brief downtime (~5 minutes) for reboots is expected during off-peak hours.",
"shortDescription": "Security patch updates",
"createdOn": "2025-07-04T23:13:00.000Z",
"updatedOn": "2025-07-13T05:29:00.000Z",
"scheduledStart": "2025-07-29T12:15:00.000Z",
"scheduledEnd": "2025-07-29T16:15:00.000Z",
"assignmentGroup": "AWS-Infrastructure-T1",
"assignedTo": "Alex Smith"
},
"riskPredictionOutputs": {
"riskRating": 1,
"riskRatingHumanReadable": "Critical",
"riskScores": {
"implementationComplexity": 80,
"topologicalImpact": 90,
"historicalIncidentRisk": 76,
"teamAndIndividualRisk": 81,
"blendedScore": 83.75
},
"riskWeightingsApplied": {
"implementationComplexity": null,
"topologicalImpact": null,
"historicalIncidentRisk": null,
"teamAndIndividualRisk": null
}
},
"riskReasoning": "Implementation complexity is low, given the well-documented patching process used many times before.",
"suggestedMitigations": "Keep the rollback plan handy and ensure relevant teams are notified."
}
}